<div>
    <h2 id="page-heading">
        <span>Vendor Contracts</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-vendor-contract" [routerLink]="['/vendor-contract/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Vendor Contract
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="vendorContracts?.length === 0">
        <span>No vendorContracts found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="vendorContracts && vendorContracts.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col" ><span>Vendor Id</span></th>
                    <th scope="col" ><span>Vendor Contract Start Date</span></th>
                    <th scope="col" ><span>Vendor Contract End Date</span></th>
                    <th scope="col" ><span>Vendor Contract File</span></th>
                    <th scope="col" ><span>Remark</span></th>
                    <th scope="col" ><span>Status</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let vendorContract of vendorContracts ;trackBy: trackId">
                    <td><a [routerLink]="['/vendor-contract', vendorContract.id, 'view']">{{ vendorContract.id }}</a></td>
                    <td>{{ vendorContract.name }}</td>
                    <td>{{ vendorContract.vendorId }}</td>
                    <td>{{ vendorContract.vendorContractStartDate }}</td>
                    <td>{{ vendorContract.vendorContractEndDate }}</td>
                    <td>{{ vendorContract.vendorContractFile }}</td>
                    <td>{{ vendorContract.remark }}</td>
                    <td>{{ vendorContract.status }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/vendor-contract', vendorContract.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/vendor-contract', vendorContract.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(vendorContract)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
